Bug 489991 - Support disks without partitions
Support disks without partitions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:a240156f9b2432698...
:
: 490641 496535 513235 531880 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 15:31 EDT by James Laska
Modified: 2013-09-02 02:32 EDT (History)
12 users (show)

See Also:
Fixed In Version: anaconda-13.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:59:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (8.79 MB, text/plain)
2009-03-12 15:31 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-03-12 15:31:32 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.28 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/formats/fs.py", line 428, in mount
    raise FSError("no mountpoint given")
  File "/usr/lib/anaconda/storage/formats/fs.py", line 656, in setup
    return self.mount(**kwargs)
  File "/usr/lib/anaconda/storage/devices.py", line 511, in setup
    parent.format.setup()
  File "/usr/lib/anaconda/storage/devices.py", line 1026, in create
    self.setup()
  File "/usr/lib/anaconda/storage/deviceaction.py", line 205, in execute
    self.device.create(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 618, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 181, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 115, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
FSError: no mountpoint given
Comment 1 James Laska 2009-03-12 15:31:53 EDT
Created attachment 335003 [details]
Attached traceback automatically from anaconda.
Comment 2 David Lehman 2009-03-12 15:49:40 EDT
Since we don't currently allow unpartitioned disks to contain formatting other than a disklabel we need to ignore things like filesystems detected on them.

That's what is happening here -- your preexisting btrfs on the disk is recognized, but we don't know to destroy the formatting when writing the disklabel.
Comment 3 Chris Lumens 2009-03-26 15:30:51 EDT
*** Bug 490641 has been marked as a duplicate of this bug. ***
Comment 4 Joel Andres Granados 2009-04-15 06:00:55 EDT
mmm, but if the disk only had a filesyste on it and no partitions there should have been a question asking if to ignore or to reinitialize the disk with a partition.  Maybe this happens when both filesystem metadata and partition metadata are detected on the disk (its happened to me more than once).
Comment 5 Chris Lumens 2009-04-20 10:45:45 EDT
*** Bug 496535 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2009-06-09 08:11:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Chris Lumens 2009-08-12 10:20:59 EDT
*** Bug 513235 has been marked as a duplicate of this bug. ***
Comment 8 David Lehman 2009-10-29 14:47:51 EDT
*** Bug 531880 has been marked as a duplicate of this bug. ***
Comment 9 Bug Zapper 2009-11-16 04:51:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 David Lehman 2010-01-18 11:03:44 EST
Support for preexisting whole-disk formatting was added to anaconda-13.10-1, which will be in Fedora 13.

Reformatting and setting a mountpoint are not supported, but the formatting will be recognized. In the case of lvm physical volumes and software (md) raid member devices, the devices can be used in new or existing configurations.
Comment 11 Bug Zapper 2010-11-04 07:26:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-05 01:59:25 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.